/*
   LGS CORE: draw standard disc

   (c) 2008 Menne Kamminga AKA AnalyticaL

   This draws a default Disc
   -Needs 2 textures!
   <Example>

#texture data/graphics/sprites/yellowdiskX.tga
#texture data/graphics/sprites/yellowdiskH.tga

function main(){
stdDrawDisc(1.0,1.0,1.0,1.0,1.0);
}

</Example>


 */

function stdDrawDisc (float $width,float $height,float $state, resource $texture1, resource $texture2) {
	float $Temp;
	float $Temp1;
	float $TEMP2;	
	if($Move_state==MOVE_STATE_CHARGING) {	
		glColor4f(1.0,1.0,1.0,1.0);
		glLoadIdentity();
		$Offset_x=$Player_x-0.015-0.005*($Player_x-$Enemy_x);
		$Offset_y=$Player_y+0.075+0.0025*($Player_y-$Enemy_y);
		glTranslatef($Offset_x,$Offset_y,$Offset_z);
		glRotatef($Rotation,0,0,1);
		glTranslatefFORCE(0.0,0.1,0.0);

		texture_set($texture2);
		$Temp=$Size;
		$Temp1=0-$Size;
		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,0.0,-0.2);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,0.0,-0.2);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.0,0.2);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.0,0.2);
		glEnd();

		texture_set($texture1);
		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,-0.1,0.0);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,-0.1,0.0);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.1,0.0);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.1,0.0);
		glEnd();
	}
	if($Move_state==MOVE_STATE_FLYING) {	
		glColor4f(1.0,1.0,1.0,1.0);
		glLoadIdentity();
		glTranslatef($Offset_x,$Offset_y,$Offset_z);
		glRotatef($Rotation,0,0,1);

		texture_set($texture2 );
		$Temp=$Size;
		$Temp1=0-$Size;
		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,0.0,-0.2);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,0.0,-0.2);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.0,0.2);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.0,0.2);
		glEnd();
		texture_set($texture1);
		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,-0.1,0.0);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,-0.1,0.0);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.1,0.0);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.1,0.0);
		glEnd();

	}
	if($Move_state==MOVE_STATE_DYING) {
		$TEMP2=$Move_BoomLength/$Move_MaxBoomLength-0.1;	
		glColor4f(1.0,1.0,1.0,$TEMP2);
		glLoadIdentity();
		glTranslatef($Offset_x,$Offset_y,$Offset_z);
		glRotatef($Rotation,0,0,1);

		texture_set($texture2 );

		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,0.0,-0.2);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,0.0,-0.2);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.0,0.2);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.0,0.2);
		glEnd();
		texture_set($texture1);
		glBegin(GL_QUADS);
		glTexCoord2f(1.0,0.0);	glVertex3f($Temp1,-0.1,0.0);
		glTexCoord2f(0.0,0.0);	glVertex3f($Temp,-0.1,0.0);
		glTexCoord2f(0.0,1.0);	glVertex3f($Temp,0.1,0.0);
		glTexCoord2f(1.0,1.0);	glVertex3f($Temp1,0.1,0.0);
		glEnd();
	}
}
