/*
   LGS CORE: Draw a small kiball in a players hand! 
   $kbsize = size of the ball
   0 = right hand
   1 = left hand
   Color and transparency need to be set in the .lgsscript using this command
 */

function stdDrawSmallBallInHand (float $kbSize,int $Hand) {
	//Put the kiball in right hand
	if ($Hand ==0 ) {		
		$Offset_x=$Player_RhandX;
		$Offset_y=$Player_RhandY;
		$Offset_z=$Player_RhandZ;
	}
	//Put the kiball in Left hand
	if ($Hand == 1) {
		$Offset_x=$Player_LhandX;
		$Offset_y=$Player_LhandY;
		$Offset_z=$Player_LhandZ;
	}
	if ($Hand == 2) {
		//Put the kiball in between hands
		$Offset_x=$Player_BhandX;
		$Offset_y=$Player_BhandY;
		$Offset_z=$Player_BhandZ;
	}
	//paint a sphere with openGL
	glDisable(GL_TEXTURE_2D);
	Sphere($kbSize);
	glEnable(GL_TEXTURE_2D);
}

