/*
	LGS CORE: draw a shockwave 

	(c) 2008 Menne Kamminga AKA AnalyticaL

	core function to render a shockwave around an explosion.
*/

function DrawWave (resource $myTexture,float $R,float $G, float $B) {
	push($Size);
	push($Rotation);
	float $dTEMP;
	float $REVD;
	texture_set($myTexture);
	$dTEMP=$Move_BoomLength/$Move_MaxBoomLength;
	if($dTEMP>0.5) {
		
		$dTEMP=($dTEMP-0.5)*2.0;
		if($dTEMP<0.01) {
			$dTEMP=0.01;
		}
		$REVD=$dTEMP-1.0;
		$R=$R-$REVD*0.5;	
		$G=$G-$REVD*0.5;	
		$B=$B-$REVD*0.5;	
		glColor4f($R,$G,$B,$dTEMP);

		$Size/=$dTEMP;
		$Rotation=$Defrot;
		sprite ();

		$Size*=1.5;
		sprite ();
		$Size*=1.5;
		sprite ();
		$Size*=1.5;
		sprite ();
		$Size*=10.0;
	}
	pop($Rotation);
	pop($Size);
}
