
float toonify(in float intensity) {
	float color;
	if (intensity > 0.75) {
		color =  min(1.0,0.6+ ((intensity-0.75)*4.0));
	}else if (intensity > 0.3) {
		color =  min(0.6,0.0+ ((intensity-0.3)*6.0));
	}else color = 0.0;
	return(color);
}

vec2 getFragCoord2d(in vec4 fake_FC1,in vec2 viewport) {
	return vec2(((fake_FC1.x/fake_FC1.w)*0.5+0.5)*viewport.x,((fake_FC1.y/fake_FC1.w)*0.5+0.5)*viewport.y);
}


float LD(in float depth, in float n, in float f) {
	return (2.0 * n) / (f + n - depth * (f - n));
}