/*
LGS CORE: draw aura

(c) 2008 Menne Kamminga AKA AnalyticaL; Edited by Loozzer

-Need 1 texture!
-type 0 == flash in hand 
-type 1 == flash at end of beam
-type 2 == flash around player towards target
Xtype 2 == Aura vertical
Xtype 3 == Aura horizontal towards opponent

<Example>

#texture data/graphics/flames/white2.tga

function main(){
stdDrawAura(1.0,1.0,1.0,$Size,0);
}

</Example>


*/

function stdDrawAura (float $Color_R,float $Color_G,float $Color_B,float $Color_A,int $type,resource $texture) {
	glLoadIdentity();
	float $Position;	
	float $myRotation;
	$myRotation=-90;
	if($type==0) {
		glTranslatef($Move_startx,$Move_starty,0.0);
		glRotatef($Rotation,0,0,1);
		$Position=-0.01;
	}	
	if($type==1) {
		//Translate to Beam start
		glTranslatef($Move_startx,$Move_starty,0.0);
		//Put in correct rotation
		glRotatef($Rotation,0,0,1);	
		//Turn aura around 180 degrees
		$myRotation=90;
		//Calculate length to head of beam.
		Length3d($Position,$Move_startx,$Move_starty,0.0);
		//Add the size of the move to the length to prevent weirdness @ beamstart.
		$Position=$Position+($Size/2.0);
	}	
	if($type==2) {
		glTranslatef($Move_startx,$Move_starty,0.0);
		glRotatef($Rotation,0,0,1);
		$Position=0.0-0.2-$Size/9;
	}	
	if($Move_facing==1) {
		glRotatef(180.0,0,1,0);
	}
	texture_set($texture);

	glColor4f($Color_R,$Color_G,$Color_B,$Color_A);
	Static_DrawFlash($Position,0.0,$Size,$myRotation);
}



