/*	(c) 2008 Menne Kamminga AKA AnalyticaL; Edited by Loozzer
 
	LGS CORE: draw flash
		This draws a default flash
		
		stdDrawKiFlash($texture,$size,x)
			
		X: 0=in hand, 1=at end of beam, 2 around player

 */

function stdDrawKiFlash (resource $texture,float $flashsize,int $type) {
	glLoadIdentity();
	float $Position;	
	float $myRotation;
	$myRotation=-90;
	if($type==0) {
		glTranslatef($Move_startx,$Move_starty,0.0);
		glRotatef($Rotation,0,0,1);
		$Position=-0.01;
	}	
	if($type==1) {
		//Translate to Beam start
		glTranslatef($Move_startx,$Move_starty,0.0);
		//Put in correct rotation
		glRotatef($Rotation,0,0,1);	
		//Turn aura around 180 degrees
		$myRotation=90;
		//Calculate length to head of beam.
		Length3d($Position,$Move_startx,$Move_starty,0.0);
		//Add the size of the move to the length to prevent weirdness @ beamstart.
		$Position=$Position+($Size/2.0);
	}	
	if($type==2) {
		glTranslatef($Move_startx,$Move_starty,0.0);
		glRotatef($Rotation,0,0,1);
		$Position=0.0-0.2-$Size/9;
	}	
	if($Move_facing==1) {
		glRotatef(180.0,0,1,0);
	}
	texture_set($texture);
	Static_DrawFlash($Position,0.0,$flashsize,$myRotation);
}



