/*
	LGS CORE: draw a shockwave 

	(c) 2008 Menne Kamminga AKA AnalyticaL

	core function to render a shockwave around an explosion.
*/
function DrawNewShockWave (resource $myTexture,float $width) {
	push($Size);
	push($Rotation);
	float $dTEMP;
	texture_set($myTexture);
	$dTEMP=$Move_BoomLength/$Move_MaxBoomLength;
	if($dTEMP>0.5) {
		$dTEMP=($dTEMP-0.5)*2.0;
		if($dTEMP<0.01) {
			$dTEMP=0.01;
		}
		$Size/=$dTEMP;
		$Rotation=$Defrot;

		sprite ();

		$Size*=$width;
		sprite ();
		$Size*=$width;
		sprite ();
		$Size*=$width;
		sprite ();

		$Size*=$width;
	}
	pop($Rotation);
	pop($Size);
}
