/*
   LGS CORE: draw a shockwave 

   (c) 2008 Menne Kamminga AKA AnalyticaL

   core function to render a shockwave around an explosion.
 */

function DrawShockWave (resource $myTexture,float $R,float $G, float $B) {
	push($Size);
	push($Rotation);
	float $dTEMP;
	float $REVD;
	texture_set($myTexture);
	$dTEMP=$Move_BoomLength/$Move_MaxBoomLength;
	if($dTEMP>0.5) {


		$dTEMP=($dTEMP-0.5)*2.0;
		if($dTEMP<0.01) {
			$dTEMP=0.01;
		}

		float $shockTime;
		$shockTime = 1.0 - $dTEMP;
		//Put position in an array
		float $pos[3];
		$pos[0]=$Offset_x;
		$pos[1]=$Offset_y;
		$pos[2]=$Offset_z;

		//Put settings for the shockwave in an array
		float $set[3];
		$set[0]=10.0;
		$set[1]=0.8;
		$set[2]=0.1;

		//render the effect next frame.
		renderShockWave($shockTime,$pos,$set);

		$REVD=$dTEMP-1.0;
		$R-=$REVD;	
		$G-=$REVD;	
		$B-=$REVD;	
		glColor4f($R,$G,$B,$dTEMP);

		$Size/=$dTEMP;
		$Rotation=$Defrot;
		sprite ();

		$Size*=1.5;
		sprite ();
		$Size*=1.5;
		sprite ();
		$Size*=1.5;
		sprite ();

		$Size*=10.0;
	}
	pop($Rotation);
	pop($Size);
}
